<template>
	<view class="changecontainer">
		<view class="cardcontent">
			<view class="myswiper">
				<image src="../../static/cardimg1.jpg" mode="widthFix"></image>
				<view class="cardtitle">卡片信息</view>
			</view>
			<view class="cardinfobox">
				<view class="cardlist">
					<view class="listitem">
						<view>卡片名称</view>
						<text>红金款999型蟹卡</text>
					</view>
					<view class="listitem">
						<view>卡片有效期</view>
						<text>卡片至2025年10月31日有效</text>
					</view>
				</view>
				<view class="cardbtn" @click="saveImg">点击保存图片</view>
			</view>
		</view>
	</view>
</template>

<script>
	import {
		toast
	} from "@/common/util.js"
	export default {
		components: {},
		data() {
			return {
				
			}
		},
		onLoad() {
			console.log(wx.env.USER_DATA_PATH)
		},
		methods: {
			
			saveImg() {
				let _this = this
				let fileName = new Date().valueOf()
				let filePath = wx.env.USER_DATA_PATH + '/' + fileName + '.jpg'
				uni.authorize({
					scope: 'scope.writePhotosAlbum',
					success: (res) => {
						uni.downloadFile({
							url: '../../static/cardimg1.jpg',
							filePath:filePath,
							success(res) {
								console.log(res)
								uni.saveImageToPhotosAlbum({
									filePath: filePath,
									success: function() {
										toast('保存成功')
									},
									fail(res) {
										console.log("fail-saveImageToPhotosAlbum", res)
									}
								});
							},
							fail(res) {
								console.log("fail-downloadFile", res)
							}
						})

					},
					fail(res) {
						console.log("user", res)
						
					}
				})

			}
		}
	}
</script>

<style lang="scss">
	.changecontainer{
		width: 100%;
		background-image: url(../../static/bg-change.jpg);
		background-position: center top;
		background-size: cover;
		padding-top: 195rpx;
		padding-bottom: 310rpx;
	}
	.cardcontent{
		width: 87.33%;
		margin: 0 auto;
		background: #fff;
		border-radius: 10rpx;
		overflow: hidden;
		padding: 54rpx 46rpx;
	
	}
</style>